## Index

### Classes

- Component
- ComponentListNow
- CreateDomNow
- MfixNow

### Type aliases

- BehaviorDescription
- CompVal
- ComponentStuff
- Showable
- StreamDescription

### Variables

- br

### Functions

- behaviorFromEvent
- button
- component
- div
- h1
- id
- input
- list
- mfixNow
- runComponentNow
- runMain
- snd
- span
- streamFromEvent
- text

## Type aliases

### BehaviorDescription

BehaviorDescription: object

- Defined in framework.ts:111

#### Type declaration

- ##### extractor: function

  - - (event: any): A

    - #### Parameters

      - ##### event: any

      #### Returns A

- ##### initial: A

- ##### name: string

- ##### on: string

### CompVal

CompVal: [A, Node[]]

- Defined in framework.ts:15

### ComponentStuff

ComponentStuff: object

- Defined in framework.ts:223

#### Type declaration

- ##### elm: Node

- ##### out: A

### Showable

Showable: string | number

- Defined in framework.ts:109

### StreamDescription

StreamDescription: object

- Defined in framework.ts:118

#### Type declaration

- ##### extractor: function

  - - (event: any): A

    - #### Parameters

      - ##### event: any

      #### Returns A

- ##### name: string

- ##### on: string

## Variables

### br

br: Component<object> = new Component((p) => new CreateDomNow<{}>(p, "br", [], []))

- Defined in framework.ts:184

## Functions

### behaviorFromEvent

- behaviorFromEvent<A>(__namedParameters: object, dom: Node): Behavior<A>

- - Defined in framework.ts:158

  #### Type parameters

  - #### A

  #### Parameters

  - ##### __namedParameters: object

    - ##### extractor: function

      - - (event: any): A

        - #### Parameters

          - ##### event: any

          #### Returns A

    - ##### initial: A

    - ##### on: string

  - ##### dom: Node

  #### Returns Behavior<A>

### button

- button(label: string): Component<object>

- - Defined in framework.ts:210

  #### Parameters

  - ##### label: string

  #### Returns Component<object>

### component

- component<M, V, O>(__namedParameters: object): Component<O>

- - Defined in framework.ts:93

  #### Type parameters

  - #### M: Behavior<any>[]

  - #### V

  - #### O

  #### Parameters

  - ##### __namedParameters: object

    - ##### model: function

      - - (v: V): Now<[M, O]>

        - #### Parameters

          - ##### v: V

          #### Returns Now<[M, O]>

    - ##### view: function

      - - (m: M): Component<V>

        - #### Parameters

          - ##### m: M

          #### Returns Component<V>

  #### Returns Component<O>

### div

- div<A>(children: Component<A>): Component<A>

- - Defined in framework.ts:217

  #### Type parameters

  - #### A

  #### Parameters

  - ##### children: Component<A>

  #### Returns Component<A>

### h1

- h1(text: string): Component<object>

- - Defined in framework.ts:190

  #### Parameters

  - ##### text: string

  #### Returns Component<object>

### id

- id<A>(a: A): A

- - Defined in framework.ts:12

  #### Type parameters

  - #### A

  #### Parameters

  - ##### a: A

  #### Returns A

### input

- input(): Component<object>

- - Defined in framework.ts:178

  #### Returns Component<object>

### list

- list<A>(c: function, getKey: function, l: Behavior<A[]>): Component<object>

- - Defined in framework.ts:272

  #### Type parameters

  - #### A

  #### Parameters

  - ##### c: function

    - - (a: A): Component<any>

      - #### Parameters

        - ##### a: A

        #### Returns Component<any>

  - ##### getKey: function

    - - (a: A): number

      - #### Parameters

        - ##### a: A

        #### Returns number

  - ##### l: Behavior<A[]>

  #### Returns Component<object>

### mfixNow

- mfixNow<M, O>(comp: function): Now<[M, O]>

- - Defined in framework.ts:87

  Something resembling the monadic fixpoint combinatior for Now.

  #### Type parameters

  - #### M: Behavior<any>[]

  - #### O

  #### Parameters

  - ##### comp: function

    - - (m: M): Now<[M, O]>

      - #### Parameters

        - ##### m: M

        #### Returns Now<[M, O]>

### runComponentNow

- runComponentNow<A>(parent: Node, c: Component<A>): A

- - Defined in framework.ts:62

  Run component and the now-computation inside

  #### Type parameters

  - #### A

  #### Parameters

  - ##### parent: Node

  - ##### c: Component<A>

  #### Returns A

### runMain

- runMain(selector: string, c: Component<any>): void

- - Defined in framework.ts:102

  #### Parameters

  - ##### selector: string

  - ##### c: Component<any>

  #### Returns void

### snd

- snd<A, B>(a: [A, B]): B

- - Defined in framework.ts:13

  #### Type parameters

  - #### A

  - #### B

  #### Parameters

  - ##### a: [A, B]

  #### Returns B

### span

- span(text: string): Component<object>

- - Defined in framework.ts:186

  #### Parameters

  - ##### text: string

  #### Returns Component<object>

### streamFromEvent

- streamFromEvent<A>(__namedParameters: object, dom: Node): Stream<A>

- - Defined in framework.ts:167

  #### Type parameters

  - #### A

  #### Parameters

  - ##### __namedParameters: object

    - ##### extractor: function

      - - (event: any): A

        - #### Parameters

          - ##### event: any

          #### Returns A

    - ##### on: string

  - ##### dom: Node

  #### Returns Stream<A>

### text

- text(tOrB: string | Behavior<Showable>): Component<object>

- - Defined in framework.ts:194

  #### Parameters

  - ##### tOrB: string | Behavior<Showable>

  #### Returns Component<object>

Generated using TypeDoc